[tool.poetry]
description = "Bill solver"
keywords = ["prototype", "bill", "negociation"]
name = "waterfall"
version = "0.1.0"

license = "MIT"

authors = [
  "Olivier Albiez <olivier.albiez@poloper.org>",
]

readme = "README.md"

[tool.poetry.dependencies]
python = ">=3.11"
prettytable = ">=3.10.0"

[tool.poetry.dev-dependencies]
black = ">=22.3.0"
hypothesis = ">=6.36"
isort = ">=5.10"
mypy = ">=1.6"
pycodestyle = ">=2.11.1"
pylint = ">=3.0"
pytest = ">=7.4"
pytest-cov = "*"
pytest-testdox = "*"

[tool.mypy]
check_untyped_defs = true
python_version = "3.11"
warn_return_any = true
warn_unused_configs = true

[[tool.mypy.overrides]]
disallow_untyped_defs = true
module = ["waterfall.*", "tests.*"]

[tool.black]
line-length = 88
target-version = ['py310']

[tool.isort]
profile = "black"

[tool.pylint.MASTER]
ignore = ['.git', 'books', 'data', 'doc']
jobs = 4
load-plugins = ['pylint.extensions.typing']

[tool.pylint.FORMAT]
max-line-length = 88

[tool.pylint.'MESSAGES CONTROL']
disable = [
  'fixme',
  'missing-docstring',
  'too-few-public-methods',
]

[tool.pylint.BASIC]
good-names = [
  'i',
  'j',
  'k',
  'x',
  'y',
  'z',
]

[tool.pylint.SIMILARITIES]
ignore-comments = true
ignore-docstrings = true
ignore-imports = true
min-similarity-lines = 10

[tool.pytest.ini_options]
addopts = ["--testdox"]
minversion = "6.0"
testpaths = [
  "tests",
]
markers = [
    "slow: marks tests as slow",
]
